#include <iostream>
#include <cmath>
#include <iomanip>

using namespace std;

int main()
{
    int n;
    cin>>n;
    double niz[n][2];
    for (int i = 0;i < n; i++)
    {
        double x,y;
        cin>>x>>y;
        niz[i][0]=x;
        niz[i][1]=y;
    }
    double niz1[n];
    for (int i = 0;i < n; i++)
    {
        double x = niz[i][1];
        double s = 0;
        for (int j = 0;j < n; j++)
        {
            if (niz[j][1]>=x)
            {
                s = s + ((x*niz[j][0])/100);
            }
            else
                s = s + 0;
        }
        niz1[i] = s;
    }
    double k = niz1[0];
    for (int i = 1;i < n; i++)
    {
        if (k < niz1[i])
            k = niz1[i];
    }
    cout<<fixed<<setprecision(4)<<k;
    return 0;
}